Package commoble.exmachina.engine.api

# Interface Connector.StateConnector

Enclosing interface:
  Connector

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface Connector.StateConnector

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Connector.StateConnector`
`EMPTY`

## Method Summary

Modifier and Type
Method
Description
`Set<net.minecraft.core.BlockPos>`
`connectedPositions(net.minecraft.world.level.LevelReader level, net.minecraft.core.BlockPos pos)`
Retrieves the set of positions a block at the given position can connect to.
`default boolean`
`isPresent()`

## Field Details

### EMPTY

static final Connector.StateConnector EMPTY

## Method Details

### connectedPositions

Set<net.minecraft.core.BlockPos> connectedPositions(net.minecraft.world.level.LevelReader level, net.minecraft.core.BlockPos pos)
Retrieves the set of positions a block at the given position can connect to.

Parameters:
  `level` - Level of the given block
  `pos` - BlockPos of the given block
Returns:
  Set<BlockPos> of the positions that block can connect to.

### isPresent

default boolean isPresent()